Bug 1151072 - Review Request: fig - Punctual, lightweight development environments using Docker
Summary: Review Request: fig - Punctual, lightweight development environments using Do...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert Kuska
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-10-09 14:31 UTC by Matej Stuchlik
Modified: 2016-02-01 02:15 UTC (History)
5 users (show)

Fixed In Version: fig-1.0.0-5.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-01 16:55:19 UTC
rkuska: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1213111 None None None Never

Internal Links: 1213111

Description Matej Stuchlik 2014-10-09 14:31:02 UTC
Spec URL: https://mstuchli.fedorapeople.org/fig.spec
SRPM URL: https://mstuchli.fedorapeople.org/fig-0.5.2-1.fc20.src.rpm
Description: Punctual, lightweight development environments using Docker
Fedora Account System Username:mstuchli

Based on spec from rhbz#1129889. I've added bunch of missing BuildRequires, added patch that unbundles python-docker and python-six, disabled %check section (the test suite requires running Docker) and made few smaller changes.

Comment 1 Robert Kuska 2014-10-09 16:37:31 UTC
I'll take this for a review.

Comment 2 Robert Kuska 2014-10-09 18:29:31 UTC
Rmplint complies about 'no binary' but the Arch exclusivity is inherited from docker.

This looks good.

Comment 3 Matej Stuchlik 2014-10-09 18:36:56 UTC
Thanks!

New Package SCM Request
=======================
Package Name: fig
Short Description: Punctual, lightweight development environments using Docker
Upstream URL: http://www.fig.sh
Owners: mstuchli
Branches: f21
InitialCC:

Comment 4 Kevin Fenzi 2014-10-13 23:34:55 UTC
Git done (by process-git-requests).

Comment 5 Fedora Update System 2014-10-14 11:17:07 UTC
fig-0.5.2-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/fig-0.5.2-1.fc21

Comment 6 Fedora Update System 2014-10-16 01:58:00 UTC
fig-0.5.2-1.fc21 has been pushed to the Fedora 21 testing repository.

Comment 7 Dridi Boukelmoune 2014-11-01 14:53:55 UTC
Hi,

Why not also push it to f20 ? Fig 1.0 was released along with Docker 1.3, and docker-io has been updated to 1.3 in f20. I haven't looked at f19 but I suppose it should be included too if docker-io is available and up-to-date.

I'll give a try to fig 1.0 available in f21 testing and send some feedback, probably tomorrow!

Dridi

Comment 8 Fedora Update System 2014-11-01 16:55:19 UTC
fig-0.5.2-1.fc21 has been pushed to the Fedora 21 stable repository.

Comment 9 Matej Stuchlik 2014-11-13 10:25:12 UTC
(In reply to Dridi Boukelmoune from comment #7)
> Hi,
> 
> Why not also push it to f20 ? Fig 1.0 was released along with Docker 1.3,
> and docker-io has been updated to 1.3 in f20. I haven't looked at f19 but I
> suppose it should be included too if docker-io is available and up-to-date.
> 
> I'll give a try to fig 1.0 available in f21 testing and send some feedback,
> probably tomorrow!
> 
> Dridi

Hey Dridi,
f20 doesn't seem to have python-texttable [0], one of the dependencies of fig.

Are you particularly interested in having fig in f20?

Matt

[0] https://apps.fedoraproject.org/packages/python-texttable

Comment 10 Dridi Boukelmoune 2014-11-14 07:20:49 UTC
(In reply to Matej Stuchlik from comment #9)
> Hey Dridi,
> f20 doesn't seem to have python-texttable [0], one of the dependencies of
> fig.

Is this the only missing piece? I can open a bug, hoping that python-texttable isn't itself missing something else in f20.

> Are you particularly interested in having fig in f20?

Yes! Because I know for a fact that 50% of my laptops won't upgrade immediately to f21 (and by that I mean my $dayjob laptop:) and I need fig on both for different self-contained reasons.

> Matt
> 
> [0] https://apps.fedoraproject.org/packages/python-texttable

Comment 11 Matej Stuchlik 2014-11-14 08:10:38 UTC
(In reply to Dridi Boukelmoune from comment #10)
> (In reply to Matej Stuchlik from comment #9)
> > Hey Dridi,
> > f20 doesn't seem to have python-texttable [0], one of the dependencies of
> > fig.
> 
> Is this the only missing piece? I can open a bug, hoping that
> python-texttable isn't itself missing something else in f20.

As far as I'm aware, yes. Please do, I'm fairly busy this week.

> > Are you particularly interested in having fig in f20?
> 
> Yes! Because I know for a fact that 50% of my laptops won't upgrade
> immediately to f21 (and by that I mean my $dayjob laptop:) and I need fig on
> both for different self-contained reasons.

Okay, if we manage to resolve the dependency issue I'll add a f20 branch. :)

> > Matt
> > 
> > [0] https://apps.fedoraproject.org/packages/python-texttable

Comment 12 Dridi Boukelmoune 2014-11-18 08:45:04 UTC
It turned out to be an infra-related issue, an update has been pushed for f20!

https://admin.fedoraproject.org/updates/python-texttable-0.8.1-4.fc20

Comment 13 Matej Stuchlik 2014-11-27 10:03:19 UTC
Package Change Request
======================
Package Name: fig
New Branches: f20
Owners: mstuchli
InitialCC: 

All requires are now satisfied even in f20.

Comment 14 Dridi Boukelmoune 2014-11-27 13:43:25 UTC
I already ported my work to fig when I tested your update for f21, I'll be able to give you feedback quickly through bodhi!

Thanks again!

Comment 15 Gwyn Ciesla 2014-12-01 13:25:02 UTC
Git done (by process-git-requests).

Comment 16 Fedora Update System 2014-12-01 13:33:39 UTC
fig-1.0.0-4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/fig-1.0.0-4.fc20

Comment 17 Fedora Update System 2014-12-03 12:38:52 UTC
fig-1.0.0-5.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/fig-1.0.0-5.fc20

Comment 18 Fedora Update System 2014-12-13 09:40:19 UTC
fig-1.0.0-5.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.